@import "pref";

body {
  min-width: $grid-breakpoint-mobile;
}

//
// ADAPTIVE
//
.grid-container { // with indent + fixed max-width
  width: 100%;
  margin-right: auto;
  margin-left: auto;

  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: stretch;

  @include media-mobile {
    max-width: $grid-breakpoint-mobile;
  }

  @include media-tablet {
    max-width: $grid-breakpoint-tablet;
  }

  @include media-desktop {
    max-width: $grid-breakpoint-desktop;
  }
}

.grid-row {
  width: 100%;

  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
}

.grid-column {
  width: 100%;

  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: stretch;
}

.grid-indent {
  padding-right: $indent-mobile;
  padding-left: $indent-mobile;

  @include media-tablet {
    padding-right: $indent-tablet;
    padding-left: $indent-tablet;
  }
}

.grid-indent-google-captcha {
  padding-right: $indent-mobile - 10;
  padding-left: $indent-mobile - 6;

  @include media-tablet {
    padding-right: $indent-tablet;
    padding-left: $indent-tablet;
  }
}

